
Redmine - Defect #10076

Query browser bookmarks fail if not logged in.

2012-01-27 14:05 - Alan Budden

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.3.0

Description

I have a bookmark in Firefox pointing to https://SERVER/redmine/issues?query_id=4&per_page=100

If I am logged into redmine, this works absolutely fine.  If I am not logged in to redmine, I would expect it to jump me to the redmine

log-in page and once I've logged in it should take me back to the query page.  What it does instead of this is report:

Internal error

 An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

 If you are the Redmine administrator, check your log files for details about the error.

 Back

 The log entry is at the end of this bug report.

Versions:

Redmine 1.3.0 (mysql) running on Ubuntu 11.10.

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.4.2

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

Issue Importer                                   0.9

Redmine Code Review plugin                       0.3.1

Sidebar content                                  0.0.2

Redmine Drafts plugin                            0.1.1

Redmine Ultraviolet Syntax highlighting plugin   0.0.3

Redmine Hudson plugin                            1.0.7

Default Assign plugin                            0.2.0

 Log entry:

Processing IssuesController#index (for 195.171.105.102 at 2012-01-27 13:00:12) [GET]
https://SERVER/redmine/issues?query_id=4&per_page=100


  Parameters: {"action"=>"index", "query_id"=>"4", "controller"=>"issues", "per_page"=>"100"}

ActiveRecord::StatementInvalid (Mysql::Error: Illegal mix of collations (latin1_swedish_ci,IMPLICI

T) and (utf8_general_ci,COERCIBLE) for operation '=': SELECT * FROM `tokens` WHERE (`tokens`.`valu

e` = 'ºÇ«

                                          app/models/user.rb:337:in `find_by_api_key'

  app/controllers/application_controller.rb:88:in `find_current_user'

  app/controllers/application_controller.rb:87:in `find_current_user'

  app/controllers/application_controller.rb:64:in `user_setup'

  passenger (3.0.9) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.9) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_n

ext_request'

  passenger (3.0.9) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_reque

st_handler'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spaw

n_application'

  passenger (3.0.9) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spaw

n_application'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.9) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.9) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.9) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.9) helper-scripts/passenger-spawn-server:99

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

 If there's any more information required, I will obviously be happy to provide it.

History

#1 - 2024-02-01 02:29 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

I cannot reproduce the issue.

Since the code of Redmine has changed a lot from the time this problem was reported, I am closing this issue. Please reopen this issue if you still

experience the problem.
